#include <iostream>
#include <vector>
#include "code.h"

using namespace std;
vector<pair<int, int>> ZapisiTacke(int n){

    vector<pair<int, int>> tacke(n+1);
    tacke[1] = {0,0};
    for(int i = 2; i <= n; i++){
        tacke[i] = {1,i};
    }
    //for(int i = 1; i <= n; i++){
    //    cout << tacke[i].first << "," << tacke[i].second << '\n';
    //}

    return tacke;
}
vector<int> Resi(int n, int q){
    vector<int> ans;
    ans.push_back(125);
    ans.push_back(1);
    vector<int> lr(n);
    for(int i = 2; i <= n; i++){
        int l = 0;
        int r = 0;
        for(int j = i+1; j <= n; j++){
            int x = Pitaj(1,i,j);
            //cout << i << " " << j << " <- i j\n";
            //cout << x << " <- x \n";

            if(x == 1){
                lr[i]++;

            }else{
                lr[j]++;
            }
        }
        //cout << lr[i] << " " << n-lr[i] << " <-=- l r \n";
        ans.push_back(n-lr[i]);

    }


    return ans;


}